/*import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';
import 'package:kmobile/config/theme_type.dart';
import 'package:kmobile/config/themes.dart';

class ThemeState extends Equatable {
  final ThemeType themeType;

  const ThemeState({required this.themeType});

  ThemeData getThemeData() {
    return AppThemes.getLightTheme(themeType);
  }

  @override
  List<Object?> get props => [themeType];
}*/

import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';
import 'package:kmobile/config/theme_type.dart';
import 'package:kmobile/config/themes.dart';

class ThemeState extends Equatable {
  final ThemeType themeType;
  const ThemeState({required this.themeType});

  ThemeData getLightThemeData() {
    return AppThemes.getLightTheme(themeType);
  }

  ThemeData getDarkThemeData() {
    return AppThemes.getDarkTheme(themeType);
  }

  @override
  List<Object?> get props => [themeType];
}
